# KDE User's Manual

2 Styczeń 2008
K Desktop Environment
plasmaengineexplorer
1

# `plasmaengineexplorer`

Umożliwia bezpośredni dostęp do silników danych Plazmy

    plasmaengineexplorer --height  piksele --width  piksele -x  piksele -y  piksele --engine  name --source  name --interval  ms

    plasmaengineexplorer Standardowe opcje KDE Standardowe opcje Qt

## Opis

`plasmaengineexplorer` jest graficznym narzędziem pozwalającym programistom testowanie silników danych plazmy bez konieczności tworzenia apletów plazmy.

Jeżeli nie podano żadnej opcji, to program się uruchomi bez żadnego silnika danych. Wymagany silnik danym może być wybrany za pomocą listy rozwijanej.

Wyświetlane zostaną tylko zainstalowane silniki danych. Aby wyświetlić nowo zainstalowane silniki danych, niezbędne może być uruchomienie programu `kbuildsycoca4`.

## Parametry

`--height piksele`

  Określa wysokość okna w pikselach.

`--width piksele`

  Określa szerokość okna w pikselach.

`-x piksele`

  Określa współrzędną x (poziomą) położenia górnego lewego rogu okna w pikselach.

`-y piksele`

  Określa współrzędną y (pionową) położenia górnego lewego rogu okna w pikselach.

`--engine nazwa`

  Uruchamia program `plasmaengineexplorer` z wybranym określonym silnikiem danych. Parametr `nazwa` jest wewnętrzną nazwą silnika danych, określoną wpisem X-KDE-PluginInfo-Name w pliku .desktop.

`--source nazwa`

  Parametr może być stosowany tylko jednocześnie z `--engine`. Wskazuje określone źródło danych dla silnika danych, przy uruchamianiu `plasmaengineexplorer`.

`--interval czas`

  Określa domyślny odstęp pomiędzy odświeżaniem wybranych źródeł na `czas`milisekund. Jeżeli nie podano parametru, źródło będzie odświeżane tylko na żądanie (dla niektórych źródeł, oznacza do odświeżanie po pojawieniu się nowych danych).

  Jeżeli podano parametr `--source`, to określany tu jest odstęp pomiędzy odświeżeniem danych dla tego źródła.

## Zobacz także

Bardziej szczegółowa dokumentacja jest dostępna pod adresem: help:/plasma (należy wprowadzić ten URL w programie &konqueror;, lub wywołać program ``khelpcenter` `help:/plasma``).

## Przykłady

Ładuje silnik danych : time, pokazujący lokalny czas i aktualizujący się co sekundę.

    plasmaengineexplorer --engine time --source Local --interval 1000

## Autorzy

Autorem `plasmaengineexplorer` jest Aaron Seigo aseigo@kde.org.